package cn.com.qmth.examcloud.tool.cache;

import cn.com.qmth.examcloud.tool.vo.user.User;

import java.util.Map;

/**
 * 在线登录用户会话管理
 */
public class LoginSessionManager {

    public static Map<String, User> getLoginSessions() {
        return CacheHelper.LOGIN_SESSION.asMap();
    }

    public static User getLoginSession(String sessionKey) {
        return getLoginSessions().get(sessionKey);
    }

    public static void addLoginSession(User session) {
        CacheHelper.LOGIN_SESSION.put(session.getToken(), session);
    }

    public static void removeLoginSession(String sessionKey) {
        CacheHelper.LOGIN_SESSION.invalidate(sessionKey);
    }

}
